﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.MaBugReport>
    @{
        ViewBag.Title = "Index";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Bugs Report
        </h1>
    </div>
    @section scripts{
        @Content.Script("jquery.tablesorter.js", Url)
        <script type="text/javascript">

            deleterecord("MaBugReport");
            $(document).ready(function () {

                $("select").css('width', '140px');
                $("#fdate").datepicker();
                $("#tdate").datepicker();

                $("#ReplyStatus").val($("#rs").val());
                $("#Prioritydrop").val($("#psview").val());
                $("#Searchbtn").click(function () {

                    searchfun();

                });


                $(":text").keypress(function (event) {
                    //filter enter key only
                    if (event.keyCode == 13) {
                        searchfun();
                    }
                    return true;
                });

            });
            function searchfun() {
                var dt1 = $("#fdate").val();
                var dt2 = $("#tdate").val();
                var u = $("#UsersList").val();
                var replystatus = $("#ReplyStatus").val();
                var pdrop = $("#Prioritydrop").val();
                window.location.href = "/MaBugReport/SearchBug?fdate=" + dt1 + "&tdate=" + dt2 + "&usr=" + u + "&rp=" + replystatus + "&pd=" + pdrop;
            }
        </script>
        <script type="text/javascript">
            $(function () {
                //$(".table").tablesorter({ widthFixed: true })
            });
        </script>
        <script type="text/javascript">
            $(document).ready(function () {

                $.ajax({
                    url: "/MaBugReport/GetData",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    data: "{}",
                    dataType: "json",
                    success: function (data) {
                        var color = "";
                        var row = "";
                        $.each(data, function (index, item) {
                            if (item.ReplyStatus == "Resolved") {
                                color = "Resolved";
                            }
                            if (item.ReplyStatus == "Closed") {
                                color = "Closed";
                            }
                            if (item.ReplyStatus == "Open") {
                                color = "Open";
                            }
                            if (item.ReplyStatus == "Implemented") {
                                color = "Implemented";
                            }
                            row += "<tr class='"+color+"'><td>" + item.SerailNo + "</td><td>" + item.Title + "</td><td>" + item.UserName + "</td><td>" + item.CDate + "</td><td>" + item.ReplyStatus + "</td><td>" + item.PriorityType + "</td><td>" + item.lastupdate + "</td><td>" + item.Action + "</td></tr>";
                        });
                        $("#dtt").html(row);
                        $(function () {
                            //$(".table").tablesorter({ widthFixed: true })
                        });
                    },
                    error: function (result) {
                        alert("Error");
                    }
                });
               

            });
        </script>
                      <script type="text/javascript">
        function Delete(pid) {
            $("#delbtn").click(function () {
                window.location = "/Mabugreport/Delete/" + pid;
            });
            $("#basic").modal('show');

        }
                      </script>
    }
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <div class="btn-group">
                </div>
            </div>
            <p class="datail_style">
                <table width="100%" align="center">
                    <tr>
                        <td align="center">
                            <table width="70%" align="center">
                                <tr>
                                    <td align="left">
                                        From Date
                                    </td>
                                    <td align="left">
                                        To Date
                                    </td>
                                    <td align="left">
                                        Username
                                    </td>
                                    <td align="left">
                                        Reply Status
                                    </td>
                                    <td>
                                        Priority
                                    </td>
                                    <td align="left"></td>
                                </tr>
                                <tr>
                                    <td align="left">
                                        <input type="date" id="fdate" value="@ViewBag.FDate" />
                                    </td>
                                    <td align="left">
                                        <input type="date" id="tdate" value="@ViewBag.TDate" />
                                    </td>
                                    <td align="left">
                                        @Html.DropDownList("UsersList", "All")
                                    </td>
                                    <td align="left">
                                        <select id="ReplyStatus">
                                            <option value="All">All</option>
                                            <option value="Open">Open</option>
                                            <option value="Resolved">Resolved</option>
                                            <option value="Closed">Closed</option>
                                            <option value="Implemented">Implemented</option>
                                        </select>
                                        <input type="hidden" id="rs" value="@ViewBag.rpstatus" />
                                    </td>
                                    <td>
                                        <select id="Prioritydrop">
                                            <option value="All">All</option>
                                            <option value="Critical">Critical</option>
                                            <option value="High">High</option>
                                            <option value="Medium">Medium</option>
                                            <option value="Low">Low</option>
                                        </select>
                                        <input type="hidden" id="psview" value="@ViewBag.pdstatus" />
                                    </td>
                                    <td align="left" valign="top">
                                        <input type="submit" value="Search" id="Searchbtn" class="btn btn-primary" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                <table width="100%" align="center">
                    <tr>
                        <td align="left" width="50%">
                            @Html.ActionLink("Create New", "Create")
                        </td>
                        <td align="right" width="50%">
                            Total: @ViewBag.TotalCount
                        </td>
                    </tr>
                    <tr>
                        <td width="100%" colspan="2" align="left">
                            <table align="left">
                                <tr>
                                    <td width="20px" style="border: 1px solid #000000"></td>
                                    <td align="left">
                                        Open
                                    </td>
                                    <td width="20px"></td>
                                    <td width="20px" class="Resolved"></td>
                                    <td align="left">
                                        Resolved
                                    </td>
                                    <td width="20px"></td>
                                    <td width="20px" class="Closed"></td>
                                    <td align="left">
                                        Closed
                                    </td>
                                    <td width="20px"></td>
                                    <td width="20px" class="Implemented"></td>
                                    <td align="left">
                                        Implemented
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </p>
            <div class="well">
                <table class="table">
                    <thead>
                        <tr>
                            <th>
                                Sr.No.
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.Title)
                            </th>
                            <th>
                                Entered By
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.Cdate)
                            </th>
                            <th>
                                Reply Status
                            </th>
                            <th>
                                Priority
                            </th>
                            <th>
                                Last Updated
                            </th>
                            <th>
                                Actions
                            </th>
                        </tr>
                    </thead>
                    <tbody id="dtt">
                       
                        @*@{int i = 1;
                            string bgstatus = "Open";
                            }
                            @foreach (var item in Model)
                            {
                                if (item.ReplyStatus == CommonUtil.BugStatusResolved)
                                {
                                    bgstatus = CommonUtil.BugStatusResolved;
                                }
                                if (item.ReplyStatus == CommonUtil.BugStatusClose)
                                {
                                    bgstatus = CommonUtil.BugStatusClose;
                                }
                                if (item.ReplyStatus == CommonUtil.BugStatusOpen)
                                {
                                    bgstatus = CommonUtil.BugStatusOpen;
                                }
                                if (item.ReplyStatus == CommonUtil.BugStatusImplemented)
                                {
                                    bgstatus = CommonUtil.BugStatusImplemented;
                                }
                                <tr class="@bgstatus">
                                    <td>
                                        @Html.DisplayFor(modelItem => item.SrNo)
                                        @{ i++;}
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.Title)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.User.Fullname)
                                    </td>
                                    <td>
                                        @{
                                string cdate = String.Format("{0:dd MMM,yyyy HH:mm tt}", item.Cdate);
                                        }
                                        @cdate
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.ReplyStatus)
                                </td>
                                <td>
                                    @{if (item.PriorityType != null)
                                    {
                                        string[] arr = item.PriorityType.Split(':');
                                        @arr[0]
                                    }
                                    }
                                </td>
                                <td>
                                    @{
                                string lstdate = String.Format("{0:dd MMM,yyyy hh:mm:ss tt}", item.LastUpdated);
                                    }
                                    @lstdate
                                </td>
                                <td>
                                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id, count = i - 1 })|
                                    @{int roleid = StaticLogic.RoleId();
                                    if (Permission.CheckPermission(roleid, CommonUtil.BugReport, UserAction.Delete) == true)
                                    {
                                        @Html.ImageActionLink("../../Content/themes/base/images/delete.png", "Delete", "Delete", "MaBugReport", new { id = item.Id }, new { @class = "delete-link" }, null)
                                    }
                                    }
                                    @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                                </td>
                            </tr>

                            }*@
                    </tbody>
                </table>
            </div>
            <div id="delete-dialog" title="Confirmation">
                <p>
                    Are You Sure you want to delete this
                </p>
            </div>
        </div>
    </div>
                      <div class="modal fade" id="basic" tabindex="-1" role="basic" aria-hidden="true">
                          <div class="modal-dialog">
                              <div class="modal-content">
                                  <div class="modal-header">
                                      <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                                      <h4 class="modal-title">Confirmation</h4>
                                  </div>
                                  <div class="modal-body">
                                      These items will be permanently deleted and cannot be recovered. Are you sure?
                                  </div>
                                  <div class="modal-footer">
                                      <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                      <button type="button" id="delbtn" class="btn btn-primary">Delete</button>
                                  </div>
                              </div>
                              <!-- /.modal-content -->
                          </div>
                          <!-- /.modal-dialog -->
                      </div>

